1.0

1.0

get /v1/buckets/{bucket_id}/objects

Description

버킷 오브젝트 목록을 검색한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
querymarker
optional
마커
Example : TODO.txt
any of [string, null]None
queryobject_path
optional
오브젝트 경로
Example : /
any of [string, null]None
queryobject_name
optional
오브젝트 이름
Example : hello/TODO.txt
any of [string, null]None
queryobject_type
optional
오브젝트 타입
Example : FILE
any of [string, null]None
querylimit
optional
조회 개수
Example : 20
any of [integer, null]200

Responses

HTTP CodeDescriptionSchema
200OKObjectListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "marker": "TODO.txt",
    "is_truncated": true,
    "contents": [
        {
            "object_name": "hello/TODO.txt",
            "object_type": "FILE",
            "object_size": "3581",
            "modified_at": "2025-04-09T05:54:46.244000+00:00"
        }
    ]
}